using UnityEngine;
using UnityEngine.UI;
using System.Collections;

public class UpgradeChillDamage : UpgradeButton {

	protected override int CostForLevel() {
		return 500;
	}

	override public void Clicked() {
		if(gm.score < CostForLevel())
			return;

		gm.score -= CostForLevel();

		gm.chillBullets = true;

		Destroy (gameObject);
	}

	override protected string UpgradeName() {
		return "Your bullets have a chance to chill the enemy.";
	}

}
